---
title: SpeechRecognition.onaudioend
slug: Web/API/SpeechRecognition/onaudioend
tags:
  - API
  - Experimental
  - Property
  - Reference
  - SpeechRecognition
  - Web Speech API
  - onaudioend
  - recognition
  - speech
---
<div>{{APIRef("Web Speech API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>onaudioend</code></strong> property of the {{domxref("SpeechRecognition")}} interface represents an event handler that will run when the user agent has finished capturing audio (when the <code><a href="/en-US/docs/Web/API/SpeechRecognition/audioend_event">audioend</a></code> event fires.)</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">mySpeechRecognition.onaudioend = function() { ... };
</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var recognition = new SpeechRecognition();

recognition.onaudioend = function() {
  console.log('Audio capturing ended');
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Speech API', '#dom-speechrecognition-onaudioend', 'onaudioend')}}</td>
   <td>{{Spec2('Web Speech API')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.SpeechRecognition.onaudioend")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Speech_API">Web Speech API</a></li>
 <li><a href="/en-US/docs/Web/API/SpeechRecognition/audioend_event"><code>audioend</code> event</a></li>
</ul>
